from typing import Optional

from . import (
    LenenergoParser,
    concurrent_fetch_builing_ids,
    preprocess_df,
    split_addresses,
)


def pipeline(parser: Optional[LenenergoParser] = None) -> LenenergoParser:
    if parser is None:
        parser = LenenergoParser(file_path = r"C:\Users\Юля\PycharmProjects\machine_learning\lenengro_parser\data_Rosseti.csv")

    print(parser)

    parser.df = split_addresses(parser.df)

    parser.df = concurrent_fetch_builing_ids(parser.df)

    parser.df = preprocess_df(parser.df)

    return parser
